# Create a user

Creates a user.

Endpoint: POST /users
Version: 1.111.0
Security: oauth-client-credentials

## Header parameters:

  - `upvest-client-id` (string, required)
    Tenant Client ID
    Example: "363f3305-7ab0-4e82-a158-f9d382ad08b6"

  - `Authorization` (string, required)
    Bearer (access) token from the OAuth flow with correct scopes.
https://datatracker.ietf.org/doc/html/rfc6750
    Example: "Bearer c2VjcmV0Cg=="

  - `signature` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-http-header

  - `signature-input` (string, required)
    https://tools.ietf.org/id/draft-ietf-httpbis-message-signatures-01.html#name-the-signature-input-http-he

  - `idempotency-key` (string, required)
    A UUID to be used as an idempotency key.  This prevents a duplicate request from being replayed.
https://docs.upvest.co/documentation/concepts/api_concepts/idempotency
    Example: "ccb07f42-4104-44ad-8e1f-c660bb7b269c"

  - `upvest-api-version` (string)
    Upvest API version (Note: Do not include quotation marks)
    Enum: "1"

## Request fields (application/json):

  - `body` (object) — one of:
    - User (BYOL) - Create - Request:
      - `first_name` (string, required)
        First name(s) of the user. Please include all first and middle names of the user.
      - `last_name` (string, required)
        Last name of the user.
      - `birth_date` (string, required)
        Birth date of the user in YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339)
      - `nationalities` (array, required)
        Nationalities of the user. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        Enum: "AD", "AE", "AF", "AG", "AI", "AL", "AM", "AO", "AQ", "AR", "AS", "AT", "AU", "AW", "AX", "AZ", "BA", "BB", "BD", "BE", "BF", "BG", "BH", "BI", "BJ", "BL", "BM", "BN", "BO", "BQ", "BR", "BS", "BT", "BV", "BW", "BY", "BZ", "CA", "CC", "CD", "CF", "CG", "CH", "CI", "CK", "CL", "CM", "CN", "CO", "CR", "CU", "CV", "CW", "CX", "CY", "CZ", "DE", "DJ", "DK", "DM", "DO", "DZ", "EC", "EE", "EG", "EH", "ER", "ES", "ET", "FI", "FJ", "FK", "FM", "FO", "FR", "GA", "GB", "GD", "GE", "GF", "GG", "GH", "GI", "GL", "GM", "GN", "GP", "GQ", "GR", "GS", "GT", "GU", "GW", "GY", "HK", "HM", "HN", "HR", "HT", "HU", "ID", "IE", "IL", "IM", "IN", "IO", "IQ", "IR", "IS", "IT", "JE", "JM", "JO", "JP", "KE", "KG", "KH", "KI", "KM", "KN", "KP", "KR", "KW", "KY", "KZ", "LA", "LB", "LC", "LI", "LK", "LR", "LS", "LT", "LU", "LV", "LY", "MA", "MC", "MD", "ME", "MF", "MG", "MH", "MK", "ML", "MM", "MN", "MO", "MP", "MQ", "MR", "MS", "MT", "MU", "MV", "MW", "MX", "MY", "MZ", "NA", "NC", "NE", "NF", "NG", "NI", "NL", "NO", "NP", "NR", "NU", "NZ", "OM", "PA", "PE", "PF", "PG", "PH", "PK", "PL", "PM", "PN", "PR", "PS", "PT", "PW", "PY", "QA", "RE", "RO", "RS", "RU", "RW", "SA", "SB", "SC", "SD", "SE", "SG", "SH", "SI", "SJ", "SK", "SL", "SM", "SN", "SO", "SR", "SS", "ST", "SV", "SX", "SY", "SZ", "TC", "TD", "TF", "TG", "TH", "TJ", "TK", "TL", "TM", "TN", "TO", "TR", "TT", "TV", "TW", "TZ", "UA", "UG", "UM", "US", "UY", "UZ", "VA", "VC", "VE", "VG", "VI", "VN", "VU", "WF", "WS", "XK", "YE", "YT", "ZA", "ZM", "ZW"
      - `address` (object, required)
        Address. Must not be a P.O. box or c/o address.
      - `address.address_line1` (string, required)
        First address line of the address.
      - `address.postcode` (string, required)
        Postal code (postcode, PIN or ZIP code)
      - `address.country` (string, required)
        Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
      - `address.city` (string, required)
      - `address.address_line2` (string)
        Second address line of the address.
      - `address.state` (string)
        State, province, county. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      - `email` (string)
        Email of the user. Must be a valid email address.
      - `salutation` (string)
        Salutation of the user used in reports and statements.
* (empty string) - 
* SALUTATION_MALE - 
* SALUTATION_FEMALE - 
* SALUTATION_FEMALE_MARRIED - 
* SALUTATION_DIVERSE -
        Enum: "", "SALUTATION_MALE", "SALUTATION_FEMALE", "SALUTATION_FEMALE_MARRIED", "SALUTATION_DIVERSE"
      - `title` (string)
        Title of the user used in reports and statements.
* (empty string) - 
* DR - Doctor
* PROF - Professor
* PROF_DR - 
* DIPL_ING - Graduate engineer (Diplom-Ingenieur)
* MAGISTER -
        Enum: "", "DR", "PROF", "PROF_DR", "DIPL_ING", "MAGISTER"
      - `birth_city` (string)
      - `birth_country` (string)
        Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
      - `birth_name` (string)
        If applicable, birth name of the user.
      - `postal_address` (any)
        User postal address. Needs to be specified if different to the residential address, otherwise it is automatically populated.
        - `address_line1` (string, required)
          First address line of the address.
        - `postcode` (string, required)
          Postal code (postcode, PIN or ZIP code)
        - `country` (string, required)
          Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
        - `city` (string, required)
        - `address_line2` (string)
          Second address line of the address.
        - `state` (string)
          State, province, county. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      - `branch_id` (string)
        Unique identifier of the market the user is onboarded on. Only relevant if the client is operating in different markets and the client is configured accordingly
    - User (TOL) - Create - Request:
      - `first_name` (string, required)
        First name(s) of the user. Please include all first and middle names of the user.
      - `last_name` (string, required)
        Last name of the user.
      - `email` (string, required)
        Email of the user. Must be a valid email address.
      - `birth_date` (string, required)
        Birth date of the user in YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339)
      - `nationalities` (array, required)
        Nationalities of the user. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
      - `address` (object, required)
        Address. Must not be a P.O. box or c/o address.
      - `address.address_line1` (string, required)
        First address line of the address.
      - `address.postcode` (string, required)
        Postal code (postcode, PIN or ZIP code)
      - `address.country` (string, required)
        Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
      - `address.city` (string, required)
      - `address.address_line2` (string)
        Second address line of the address.
      - `address.state` (string)
        State, province, county. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      - `fatca` (object, required)
      - `fatca.status` (boolean, required)
        The user’s FATCA status is true if the user is subject to paying taxes in the US, otherwise it can be set to false.
      - `fatca.confirmed_at` (string, required)
        Timestamp at which the user confirmed their FATCA status. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `salutation` (string)
        Salutation of the user used in reports and statements.
* (empty string) - 
* SALUTATION_MALE - 
* SALUTATION_FEMALE - 
* SALUTATION_FEMALE_MARRIED - 
* SALUTATION_DIVERSE -
        Enum: same as `salutation` in "User (BYOL) - Create - Request" (5 values)
      - `title` (string)
        Title of the user used in reports and statements.
* (empty string) - 
* DR - Doctor
* PROF - Professor
* PROF_DR - 
* DIPL_ING - Graduate engineer (Diplom-Ingenieur)
* MAGISTER -
        Enum: same as `title` in "User (BYOL) - Create - Request" (6 values)
      - `birth_city` (string)
        This field is required except for users of UK TOL
      - `birth_country` (string)
        Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
      - `birth_name` (string)
        If applicable, birth name of the user.
      - `phone_number` (string)
        Phone number of the user. [Phone number E.164 format](https://en.wikipedia.org/wiki/E.164).
      - `postal_address` (any)
        User postal address. Needs to be specified if different to the residential address, otherwise it is automatically populated.
        - `address_line1` (string, required)
          First address line of the address.
        - `postcode` (string, required)
          Postal code (postcode, PIN or ZIP code)
        - `country` (string, required)
          Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
        - `city` (string, required)
        - `address_line2` (string)
          Second address line of the address.
        - `state` (string)
          State, province, county. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      - `terms_and_conditions` (object)
        Terms & Conditions will be needed for all users unless they are a child user or only a user on a business.
      - `terms_and_conditions.consent_document_id` (string, required)
        Consent unique identifier.
      - `terms_and_conditions.confirmed_at` (string, required)
        Timestamp at which the user consented to the terms & conditions. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `data_privacy_and_sharing_agreement` (object)
        Data privacy agreement will be needed for all users unless they are a child user or only a user on a business.
      - `data_privacy_and_sharing_agreement.consent_document_id` (string, required)
        Consent unique identifier.
      - `data_privacy_and_sharing_agreement.confirmed_at` (string, required)
        Timestamp at which the user consented to the data sharing agreement. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `branch_id` (string)
        Unique identifier of the market the user is onboarded on. Only relevant if the client is operating in different markets and the client is configured accordingly

## Response 200 fields (application/json):

  - `body` (object) — one of:
    - User (BYOL):
      - `id` (string, required)
        User unique identifier.
      - `created_at` (string, required)
        Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `updated_at` (string, required)
        Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `first_name` (string, required)
        First name(s) of the user. Please include all first and middle names of the user.
      - `last_name` (string, required)
        Last name of the user.
      - `birth_date` (string, required)
        Birth date of the user in YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339)
      - `nationalities` (array, required)
        Nationalities of the user. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
      - `address` (object, required)
        Address. Must not be a P.O. box or c/o address.
      - `address.address_line1` (string, required)
        First address line of the address.
      - `address.postcode` (string, required)
        Postal code (postcode, PIN or ZIP code)
      - `address.country` (string, required)
        Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
      - `address.city` (string, required)
      - `address.address_line2` (string)
        Second address line of the address.
      - `address.state` (string)
        State, province, county. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      - `status` (string, required)
        Status of the user.
* ACTIVE - 
* INACTIVE - 
* OFFBOARDING - 
* OFFBOARDED -
        Enum: "ACTIVE", "INACTIVE", "OFFBOARDING", "OFFBOARDED"
      - `salutation` (string)
        Salutation of the user used in reports and statements.
* (empty string) - 
* SALUTATION_MALE - 
* SALUTATION_FEMALE - 
* SALUTATION_FEMALE_MARRIED - 
* SALUTATION_DIVERSE -
        Enum: same as `salutation` in "User (BYOL) - Create - Request" (5 values)
      - `title` (string)
        Title of the user used in reports and statements.
* (empty string) - 
* DR - Doctor
* PROF - Professor
* PROF_DR - 
* DIPL_ING - Graduate engineer (Diplom-Ingenieur)
* MAGISTER -
        Enum: same as `title` in "User (BYOL) - Create - Request" (6 values)
      - `birth_city` (string)
      - `birth_country` (string)
        Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
      - `birth_name` (string)
        If applicable, birth name of the user.
      - `postal_address` (any)
        User postal address. Needs to be specified if different to the residential address, otherwise it is automatically populated.
        - `address_line1` (string, required)
          First address line of the address.
        - `postcode` (string, required)
          Postal code (postcode, PIN or ZIP code)
        - `country` (string, required)
          Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
        - `city` (string, required)
        - `address_line2` (string)
          Second address line of the address.
        - `state` (string)
          State, province, county. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      - `email` (string)
        Email of the user. Must be a valid email address.
      - `branch_id` (string)
        Unique identifier of the market the user is onboarded on. Only relevant if the client is operating in different markets and the client is configured accordingly
    - User (TOL):
      - `id` (string, required)
        User unique identifier.
      - `created_at` (string, required)
        Date and time when the resource was created. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `updated_at` (string, required)
        Date and time when the resource was last updated. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `first_name` (string, required)
        First name(s) of the user. Please include all first and middle names of the user.
      - `last_name` (string, required)
        Last name of the user.
      - `birth_date` (string, required)
        Birth date of the user in YYYY-MM-DD format. [RFC 3339, section 5.6](https://json-schema.org/draft/2020-12/json-schema-validation.html#RFC3339)
      - `nationalities` (array, required)
        Nationalities of the user. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
      - `address` (object, required)
        Address. Must not be a P.O. box or c/o address.
      - `address.address_line1` (string, required)
        First address line of the address.
      - `address.postcode` (string, required)
        Postal code (postcode, PIN or ZIP code)
      - `address.country` (string, required)
        Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
      - `address.city` (string, required)
      - `address.address_line2` (string)
        Second address line of the address.
      - `address.state` (string)
        State, province, county. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      - `status` (string, required)
        Status of the user.
* ACTIVE - 
* INACTIVE - 
* OFFBOARDING - 
* OFFBOARDED -
        Enum: same as `status` in "User (BYOL)" (4 values)
      - `salutation` (string)
        Salutation of the user used in reports and statements.
* (empty string) - 
* SALUTATION_MALE - 
* SALUTATION_FEMALE - 
* SALUTATION_FEMALE_MARRIED - 
* SALUTATION_DIVERSE -
        Enum: same as `salutation` in "User (BYOL) - Create - Request" (5 values)
      - `title` (string)
        Title of the user used in reports and statements.
* (empty string) - 
* DR - Doctor
* PROF - Professor
* PROF_DR - 
* DIPL_ING - Graduate engineer (Diplom-Ingenieur)
* MAGISTER -
        Enum: same as `title` in "User (BYOL) - Create - Request" (6 values)
      - `birth_city` (string)
      - `birth_country` (string)
        Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
        Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
      - `birth_name` (string)
        If applicable, birth name of the user.
      - `postal_address` (any)
        User postal address. Needs to be specified if different to the residential address, otherwise it is automatically populated.
        - `address_line1` (string, required)
          First address line of the address.
        - `postcode` (string, required)
          Postal code (postcode, PIN or ZIP code)
        - `country` (string, required)
          Accepted country code. [ISO 3166-1 alpha-2 codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          Enum: same as `nationalities` in "User (BYOL) - Create - Request" (250 values)
        - `city` (string, required)
        - `address_line2` (string)
          Second address line of the address.
        - `state` (string)
          State, province, county. [ISO 3166 alpha-2 Codes](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
      - `email` (string)
        Email of the user. Must be a valid email address.
      - `phone_number` (string)
        Phone number of the user. [Phone number E.164 format](https://en.wikipedia.org/wiki/E.164).
      - `fatca` (object)
      - `fatca.status` (boolean, required)
        The user’s FATCA status is true if the user is subject to paying taxes in the US, otherwise it can be set to false.
      - `fatca.confirmed_at` (string, required)
        Timestamp at which the user confirmed their FATCA status. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `terms_and_conditions` (object)
        Terms & Conditions will be needed for all users unless they are a child user or only a user on a business.
      - `terms_and_conditions.consent_document_id` (string, required)
        Consent unique identifier.
      - `terms_and_conditions.confirmed_at` (string, required)
        Timestamp at which the user consented to the terms & conditions. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `data_privacy_and_sharing_agreement` (object)
        Data privacy agreement will be needed for all users unless they are a child user or only a user on a business.
      - `data_privacy_and_sharing_agreement.consent_document_id` (string, required)
        Consent unique identifier.
      - `data_privacy_and_sharing_agreement.confirmed_at` (string, required)
        Timestamp at which the user consented to the data sharing agreement. [RFC 3339-5](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6), [ISO8601 UTC](https://www.iso.org/iso-8601-date-and-time-format.html)
      - `branch_id` (string)
        Unique identifier of the market the user is onboarded on. Only relevant if the client is operating in different markets and the client is configured accordingly

## Response 400 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 401 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 403 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 406 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 429 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 500 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 503 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.

## Response 504 fields (application/problem+json):

  - `type` (string, required)
    URL to a document describing the error condition.

  - `status` (integer, required)
    Transmission of the HTTP status code so that all information can be found in one place, but also to correct changes in the status code due to the use of proxy servers.

  - `title` (string)
    A short, human-readable title for the general error type; the title should not change for given types.

  - `detail` (string)
    A human-readable description of the specific error.

  - `instance` (string)
    This optional key may be present, with a unique URI for the specific error; this will often point to an error log for that specific response.

  - `request_id` (string)
    Correlation ID for the original request.


